import { stringify } from 'qs';
import request from '@/utils/request';

// 获取主播列表
export const getAnchorPageList = (params) => {
  return request(`/api-agent/v1/anchor/getAnchorPageList?${stringify(params)}`)
}

export const editAgent = (params) => {
  return request('/api-agent/v1/agent/editAgent', {
    method: 'POST',
    body: params,
  })
}

// 获取审核主播列表
export const getAuditPageList = (params) => {
  return request(`/api-agent/v1/anchor/getAuditPageList?${stringify(params)}`)
}

// 主播审核 -- 拒绝
export const denyAudit = (params) => {
  return request('/api-agent/v1/anchor/denyAudit', {
    method: 'POST',
    body: params,
  })
}

// 主播审核 -- 通过
export const passAudit = (params) => {
  return request('/api-agent/v1/anchor/passAudit', {
    method: 'POST',
    body: params,
  })
}

// 获取主播分成比例
export const getAnchorRatio = (params) => {
  return request(`/api-agent/v1/anchor/getAnchorRatio?${stringify(params)}`)
} 

// 设置主播分成比例
export const setAnchorRatio = (params) => {
  return request('/api-agent/v1/anchor/setAnchorRatio', {
    method: 'POST',
    body: params,
  })
}
