import request from '@/utils/request';

export async function query() {
  return request('/api/users');
}
export async function queryCurrent() {
  return request('/api/currentUser');
}
export async function queryNotices() {
  return request('/api/notices');
}

// 修改密码
export async function changePwd(params) {
  return request('/api-agent/v1/admin/changePwd', {
    method: 'POST',
    body: params
  })
}

//获取管理菜单
export async function queryMenus() {
  return request('/api-agent/v1/admin/getMenus');
}

//获取管理菜单
export async function getUserInfo() {
  return request('/api-agent/v1/admin/getInfo');
}
