
// 贵族等级
export const nobleArray = [
  { key: 1, value: '男爵' },
  { key: 2, value: '子爵' },
  { key: 3, value: '伯爵' },
  { key: 4, value: '侯爵' },
  { key: 5, value: '公爵' },
  { key: 6, value: '国王' },
  { key: 7, value: '帝皇' },
]

export const getNobleLevelStr = (key) => {
  const obj = nobleArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 聊天时长卡 类型
export const chatDurationArray = [
  { key: 101, value: '视频单聊' }
]

export const getChatDurationArrayStr = (key) => {
  const obj = chatDurationArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 钱包类型
export const walletTypeArray = [
  { key: 11, value: '星钻' },
  { key: 12, value: '星元' },
  { key: 21, value: '星币' },
]

export const getWalletTypeStr = (key) => {
  const obj = walletTypeArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 单聊标签类型
export const singleEvaluateTypes = [
  { key: 1, value: '用户标签' },
  { key: 2, value: '主播标签' }
]

export const getSingleEvaluateTypeStr = (key) => {
  const obj = singleEvaluateTypes.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 单聊记录状态
export const singleChatRecordStatus = [
  { key: 101, value: '呼叫中' },
  { key: 201, value: '通话中' },
  { key: 301, value: '已结束' },
  { key: 302, value: '已取消' },
  { key: 303, value: '已拒绝' },
]
export const getSingleChatRecordStatus = (key) => {
  const obj = singleChatRecordStatus.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 1v1 主播价格类型
export const singlePriceTypes = [
  { key: 11, value: '星钻' },
  // { key: 12, value: '星元' },
  // { key: 21, value: '星币' },
]

// 用户标签、兴趣标签 类型
export const dataTagTypes = [
  { key: 0, value: '通用' },
  { key: 1, value: '男士' },
  { key: 2, value: '女士' },
]
export const getDataTagTypeStr = (key) => {
  const obj = dataTagTypes.find(item => item.key === key)
  return obj ? obj.value : '-'
}

// 平台统计类型
export const statPlatformTypeArray = [
  { key: 10100, value: '下载次数' },
  { key: 10102, value: 'iOS下载次数' },
  { key: 10103, value: 'Android下载次数' },
  { key: 10200, value: '安装数' },
  { key: 10202, value: 'iOS安装数' },
  { key: 10203, value: 'Android安装数' },
  { key: 10300, value: '注册用户数' },
  { key: 10302, value: 'iOS注册用户数' },
  { key: 10303, value: 'Android注册用户数' },
  { key: 10400, value: '安装当日注册用户数' },
  { key: 10402, value: 'iOS安装当日注册用户数' },
  { key: 10403, value: 'Android安装当日注册用户数' },
  { key: 10500, value: '活跃用户数' },
  { key: 10502, value: 'iOS活跃用户数' },
  { key: 10503, value: 'Android活跃用户数' },
  { key: 10600, value: '进房用户数' },
  { key: 10700, value: '认证主播数' },
  { key: 10800, value: '开播主播数' },
  { key: 10900, value: '认证当日开播主播数' },
  { key: 11000, value: '直播分享次数' },
  { key: 11100, value: '直播观看时长' },
  { key: 20100, value: '充值次数' },
  { key: 20200, value: '充值用户数' },
  { key: 20300, value: '首充用户数' },
  { key: 20400, value: '注册当日首充用户数' },
  { key: 21100, value: '充值金额' },
  { key: 21200, value: '首充金额' },
  { key: 21300, value: '注册当日首充金额' },
  { key: 21400, value: '礼物消耗金币' },
  { key: 21500, value: '幸运礼物消耗金币' },
  { key: 21600, value: '幸运礼物中奖金币' },
  { key: 21700, value: '抽奖活动消耗金币' },
  { key: 21800, value: '抽奖活动中奖价值' },
  { key: 21900, value: '视频单聊消耗金币' },
  { key: 22101, value: '增加星钻' },
  { key: 22102, value: '消耗星钻' },
  { key: 22201, value: '增加星元' },
  { key: 22202, value: '消耗星元' },
  { key: 22301, value: '增加星币' },
  { key: 22302, value: '消耗星币' },
  { key: 30100, value: '开通贵族' },
  { key: 30101, value: '开通男爵' },
  { key: 30102, value: '开通子爵' },
  { key: 30103, value: '开通伯爵' },
  { key: 30104, value: '开通候爵' },
  { key: 30105, value: '开通公爵' },
  { key: 30106, value: '开通国王' },
  { key: 30107, value: '开通帝皇' },
  { key: 30200, value: '续费贵族' },
  { key: 30201, value: '续费男爵' },
  { key: 30202, value: '续费子爵' },
  { key: 30203, value: '续费伯爵' },
  { key: 30204, value: '续费候爵' },
  { key: 30205, value: '续费公爵' },
  { key: 30206, value: '续费国王' },
  { key: 30207, value: '续费帝皇' },
  { key: 30300, value: '升级贵族' },
  { key: 30301, value: '升级男爵' },
  { key: 30302, value: '升级子爵' },
  { key: 30303, value: '升级伯爵' },
  { key: 30304, value: '升级候爵' },
  { key: 30305, value: '升级公爵' },
  { key: 30306, value: '升级国王' },
  { key: 30307, value: '升级帝皇' },
  { key: 31100, value: '视频单聊分钟数' },
  { key: 31200, value: '视频单聊请求次数' },
  { key: 31201, value: '视频单聊接通次数' },
  { key: 31202, value: '视频单聊超时次数' },
]
export const getStatPlatformType = (key) => {
  const obj = statPlatformTypeArray.find(item => item.key === key)
  return obj ? obj.value : '-'
}
